| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
ADT
ADT.CircularList

# Method ADT.CircularList()->_search()

Method _search

  `int _search(mixed value, void|int start)`

Description

  Search the list for a specific value. Return the index of the first value that is equal to value . If no value was found `UNDEFINED` is returned instead

Parameter `value`

  The value to find

Parameter `start`

  If a start value is supplied it will start searching at the index start .

Returns

  Returns the index of the found value or `UNDEFINED`.

Throws

  An error if the start is out of range.